Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# bucket Struct Reference

## Data Fields
filePath * | data
int | allocated
int | firstFree

## Field Documentation

int bucket::allocated

| Definition at line 21 of file hash.c. Referenced by htAddToTable(), and htNewTable().

struct filePath* bucket::data

| Definition at line 20 of file hash.c. Referenced by htAddToTable(), htFreeHashTable(), and htNewTable().

int bucket::firstFree

| Definition at line 22 of file hash.c. Referenced by htNewTable().

The documentation for this struct was generated from the following file:

- python/hash.c